// SHMread.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

int main(void)
{
	char *buffer;

	HANDLE hSharedMemory = OpenFileMapping(FILE_MAP_ALL_ACCESS,FALSE,"TestSharedMemory1");
    if (!hSharedMemory) 
    {
		printf("Cannot open shared memory.\n");
        exit(1);
    }

	buffer=(char*)MapViewOfFile(hSharedMemory,FILE_MAP_ALL_ACCESS,0,0,4096);
    if(!buffer) 
    {
		printf("Cannot map shared memory.\n");
        exit(1);
    }
	printf("Shared memory mapped.\n");
	printf("Read from shared memory: '%s'\n",buffer);

	BOOL ok=UnmapViewOfFile(buffer);
	if (!ok) 
    {
		printf("Cannot unmap memory.\n");
		CloseHandle(hSharedMemory);
        exit(1);
    }
	printf("Memory unmapped.\n");
	CloseHandle(hSharedMemory);
	printf("Handle closed.\n");
}