// Sem.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

void zapis()
{
	FILE *f=fopen("out.txt","at");
	if(!f) exit(1);
	fprintf(f,"Process: %i\n",GetCurrentProcessId());
	fclose(f);
}

int main(void)
{
	HANDLE hSemaphore = CreateSemaphore(NULL,1,1,"TestSemaphore1");
	if(!hSemaphore) 
	{
		printf("cannot create semaphore.\n");
		exit(1);
	}

	while(1)
	{
		DWORD result = WaitForSingleObject(hSemaphore,INFINITE);
		if(result!=WAIT_OBJECT_0)
		{
			printf("Cannot wait for semaphore.\n");
			exit(1);
		}

		zapis();
		printf("*");
		Sleep(10);
		
		BOOL ok = ReleaseSemaphore(hSemaphore,1,NULL);
		if(!ok)
		{
			printf("Cannot release semaphore.\n");
			exit(1);
		}
	}
}